# Query channel instance details

Read non-sensitive configuration, capabilities, and recent test information for a channel instance.

```text
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/channels/{provider}/instances/{instance_id}
```

## Before you call this API

Configure the [regional API endpoint and authentication](https://omnifabric.cloudsigma.com/docs/developer/endpoints-and-authentication.html.md), and select the target workspace.

First [query the channel instance list](https://omnifabric.cloudsigma.com/docs/reference/api/ai-studio/agents/channel-instances/list-channel-instances.html.md) to obtain the instance ID.

Set the operation-specific values used in the request:

- `$WORKSPACE_ID`: Target workspace ID, passed through the `X-Workspace-ID` header and also as `workspace_id` in the path.
- `$PROVIDER`: Channel Provider ID, as `provider` in the path.
- `$INSTANCE_ID`: The channel instance ID to query as `instance_id` in the path.

## Request example

```bash
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/channels/$PROVIDER/instances/$INSTANCE_ID" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Path parameters

| Parameters | Type | Is it required | Description |
| --- | --- | --- | --- |
| `workspace_id` | string | Yes | Workspace ID. |
| `provider` | string | Yes | Channel Provider ID. |
| `instance_id` | string | Yes | Channel instance ID. |

## Successful response

Returns `200` on success. The interface does not return the clear text content of `secrets`.

```json
{
  "code": 0,
  "data": {
    "id": "inst_01",
    "workspace_id": "ws_01",
    "provider": "wecom",
    "channel_type": "wecom_mail",
    "name": "告警通道",
    "status": "active",
    "credential_ref": "cred_01",
    "config": {
      "endpoint": "https://example.com/hook"
    },
    "last_test_status": "passed",
    "last_tested_at": "2026-08-18T01:00:00Z"
  }
}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `code` | integer | `0` on success. |
| `data.id` | string | Instance ID and workspace. |
| `data.workspace_id` | string | Instance ID and workspace. |
| `data.provider` | string | Provider, channel type and status. |
| `data.channel_type` | string | Provider, channel type and status. |
| `data.status` | string | Provider, channel type and status. |
| `data.name` | string | Name, description, and credential reference. |
| `data.description` | string | Name, description, and credential reference. |
| `data.credential_ref` | string | Name, description, and credential reference. |
| `data.config` | object | Non-sensitive configuration and tags. |
| `data.labels` | object | Non-sensitive configuration and tags. |
| `data.callback_path` | string | Callback path, capabilities, and associated tools; returned when available. |
| `data.capabilities` | string[] | Callback path, capabilities, and associated tools; returned when available. |
| `data.tool_ids` | string[] | Callback path, capabilities, and associated tools; returned when available. |
| `data.last_test_status` | string | Recent test status, time and error; may not be returned if it has not been tested yet. |
| `data.last_tested_at` | string | Recent test status, time and error; may not be returned if it has not been tested yet. |
| `data.last_test_error` | string | Recent test status, time and error; may not be returned if it has not been tested yet. |

`[]` after a type denotes an array. `[]` in a field path denotes each item in an array.


## Error response

```json
{
  "code": 3,
  "message": "channel instance not found"
}
```

### Common HTTP errors

```{list-table}
:header-rows: 1
:widths: 12 22 32 34

* - HTTP status code
  - error code
  - Common causes
  - Recommended actions
* - `400`
  - `2`（`INVALID_ARGUMENT`）
  - Invalid provider or instance ID.
  - Check path parameters.
* - `401`
  - `6`（`UNAUTHENTICATED`）
  - Lack of valid identity credentials.
  - Check API Key.
* - `403`
  - `5`（`PERMISSION_DENIED`）
  - The current identity does not have read permission for this instance.
  - Check workspace authorization.
* - `404`
  - `3`（`NOT_FOUND`）
  - The instance does not exist or does not belong to the Provider in the path.
  - Check the Provider and Instance ID.
* - `503`
  - `15`（`UNAVAILABLE`）
  - Channel instance services or authorization dependencies are temporarily unavailable.
  - Try again later.
```

## Follow-up operations

You can [Update channel instance](https://omnifabric.cloudsigma.com/docs/reference/api/ai-studio/agents/channel-instances/update-channel-instance.html.md) or [Test the created channel instance](https://omnifabric.cloudsigma.com/docs/reference/api/ai-studio/agents/channel-instances/test-channel-instance.html.md).
